## kodi 18.5

=== tools/depends/target/gnutls/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile size-max.patch 02-darwin-getentropy.patch

# lib name, version
LIBNAME=gnutls
VERSION=3.5.10
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.xz

ifeq (darwin, $(findstring darwin, $(HOST)))
# darwins tar doesn't know about xz - so we need our native version of tar here
ARCHIVE_TOOL=$(ARCHIVE_TOOL_NATIVE)
CONFIGURE_HACKS = ac_cv_func_vfork_works=no
CONFIGURE_HACKS+= ac_cv_func_fork=no
endif

# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          ./configure --prefix=$(PREFIX) --disable-shared --without-p11-kit --disable-nls --with-included-unistring \
                      --with-included-libtasn1 --enable-local-libopts --disable-doc --disable-tests --disable-guile \
                      $(CONFIGURE_HACKS)

LIBDYLIB=$(PLATFORM)/lib/.libs/lib$(LIBNAME).a

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p0 < ../size-max.patch
	cd $(PLATFORM); patch -p1 -i ../02-darwin-getentropy.patch
	cd $(PLATFORM); $(AUTORECONF) -vif
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== debian/changelog ===
kodi (2:18.5-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Dec 2019 17:14:25 -0800

kodi (2:18.5-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Enable va-api.
  * Remove dmo branding.
  * Drop epoch to Debian's "2:".
  * Disable dvdcss2 and shairplay.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Dec 2019 15:48:26 -0800

kodi-dmo (5:18.5-dmo0~bpo9+2) oldstable-backports; urgency=medium

  * Fix armhf build with (add -mfpu=neon-vfpv4 to CXXFLAGS)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Nov 2019 22:24:01 +0100

kodi-dmo (5:18.5-dmo0~bpo9+1) oldstable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Nov 2019 09:21:18 +0100

kodi-dmo (5:18.4-dmo0~bpo9+1) oldstable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Aug 2019 16:17:47 +0200

kodi-dmo (5:18.3-dmo1~bpo9+2) oldstable-backports; urgency=medium

  * Update included ffmpeg to 4.1.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jul 2019 12:04:13 +0200

kodi-dmo (5:18.3-dmo1~bpo9+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jun 2019 14:10:08 +0200

kodi-dmo (5:18.2-dmo1~bpo9+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Apr 2019 15:08:37 +0200

kodi-dmo (5:18.1-dmo1~bpo9+4) stable-backports; urgency=medium

  * Add an arial.ttf file with more langage support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Apr 2019 09:14:40 +0200

kodi-dmo (5:18.1-dmo1~bpo9+3) stable-backports; urgency=medium

  * Update included ffmpeg to 4.1.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2019 15:15:10 +0200

kodi-dmo (5:18.1-dmo1~bpo9+2) stable-backports; urgency=medium

  * Update included ffmpeg to 4.1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Mar 2019 09:37:38 +0200

kodi-dmo (5:18.1-dmo1~bpo9+1) stable-backports; urgency=medium

  * New upstream bugfix release.
  * Update included ffmpeg to 4.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Feb 2019 14:55:09 +0100

kodi-dmo (5:18.0-dmo2~bpo9+3) stable-backports; urgency=medium

  * Remove fonts-glewlwyd as kodi-data dependency this package doesn't exist
    in stable (Thanks to Lucie Charrier for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Feb 2019 18:23:49 +0100

kodi-dmo (5:18.0-dmo2~bpo9+2) stable-backports; urgency=medium

  * Fix armel build

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Feb 2019 17:17:51 +0100

kodi-dmo (5:18.0-dmo2~bpo9+1) stable-backports; urgency=medium

  * Rebuild for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Feb 2019 08:30:07 +0100

kodi-dmo (5:18.0-dmo2) unstable; urgency=medium

  * Build with ENABLE_INTERNAL_CROSSGUID:BOOL=OFF
  * Add support for powerpc

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Feb 2019 14:47:34 +0100

kodi-dmo (5:18.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Jan 2019 23:45:00 +0100

kodi-dmo (5:18.0~rc5.2-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 5.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Jan 2019 09:03:27 +0100

kodi-dmo (5:18.0~rc5-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 5

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Jan 2019 23:17:29 +0100

kodi-dmo (5:18.0~rc4-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Dec 2018 00:46:31 +0100

kodi-dmo (5:18.0~rc3-dmo2) experimental; urgency=medium

  * Rebuild against libmariadb3

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Dec 2018 17:13:24 +0100

kodi-dmo (5:18.0~rc3-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Dec 2018 16:26:25 +0100

kodi-dmo (5:18.0~rc2-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 2

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Dec 2018 08:23:53 +0100

kodi-dmo (5:18.0~rc1-dmo2) experimental; urgency=medium

  * Fix lissing packages in depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Nov 2018 17:39:13 +0100

kodi-dmo (5:18.0~rc1-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Nov 2018 18:48:40 +0100

kodi-dmo (5:17.6-dmo7) unstable; urgency=medium

  * Rebuild against libcdio18

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jan 2018 23:31:14 +0100

kodi-dmo (5:17.6-dmo6) unstable; urgency=medium

  * Rebuild against libcrossguid0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Dec 2017 18:31:56 +0100

kodi-dmo (5:17.6-dmo5) unstable; urgency=medium

  * Fix broken audio.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Dec 2017 08:37:53 +0100

kodi-dmo (5:17.6-dmo4) unstable; urgency=medium

  * Back to included ffmpeg 3.3.5 Sound is broken with ffmpeg 3.4.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Dec 2017 15:01:48 +0100

kodi-dmo (5:17.6-dmo3) unstable; urgency=medium

  * Rebuild against external ffmpeg 3.4.1 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Dec 2017 14:26:46 +0100

kodi-dmo (5:17.6-dmo2) unstable; urgency=medium

  * Rebuild against libcdio17

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Nov 2017 00:13:46 +0100

kodi-dmo (5:17.6-dmo1) unstable; urgency=medium

  * New upstream release.
  * Update included ffmpeg to 3.3.5 (was 3.1.11)

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Nov 2017 11:01:42 +0100



=== debian/control ===
Source: kodi
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://kodi.tv/
Standards-Version: 4.3.0
Build-Conflicts: libafpclient-dev,
                 libegl1-imx,
                 libomxil-bellagio-dev [armel armhf]
Build-Depends: cmake,
               debhelper (>= 10),
               default-jre-headless,
               default-libmysqlclient-dev,
               dh-python,
               flatbuffers-compiler,
               libasound2-dev | libasound-dev,
               libass-dev (>= 0.9.7),
               libavahi-common-dev,
               libavahi-compat-libdnssd-dev,
               libavcodec-dev (>= 7:4.0~),
               libavfilter-dev (>= 7:4.0~),
               libavformat-dev,
               libavutil-dev,
               libbluetooth-dev (>= 4.98-2),
               libbluray-dev,
               libcap-dev,
               libcdio-dev,
               libcec-dev (>= 4~),
               libcrossguid-dev,
               libcurl4-gnutls-dev,
               libcwiid-dev,
               libdbus-1-dev,
#               libdvdcss-dev,
               libegl1-mesa-dev,
               libflatbuffers-dev,
               libfmt-dev,
               libfontconfig-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libfstrcmp-dev,
               libgif-dev,
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev [armel armhf arm64],
               libglew-dev (>= 1.13.0~),
               libglu-dev,
               libinput-dev,
               libiso9660-dev,
               libjpeg62-turbo-dev,
               liblcms2-dev,
               liblirc-dev,
               liblzo2-dev,
               libmicrohttpd-dev,
               libmms-dev,
               libnfs-dev (>= 3.0.0~),
               libpcre3-dev (>= 2:8.35-7.1),
               libplist-dev,
               libpng-dev,
               libpostproc-dev,
               libpulse-dev,
               libsamplerate-dev,
#               libshairplay-dev,
               libsmbclient-dev,
               libsqlite3-dev,
               libssh-dev,
               libswresample-dev,
               libswscale-dev,
               libtag1-dev (>= 1.8),
               libtinyxml-dev (>= 2.6.2-3),
               libudev-dev,
               libunistring-dev,
               libva-dev (>= 1.0.7),
               libvdpau-dev,
               libxinerama-dev,
               libxkbcommon-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               nasm [any-amd64 any-i386],
               python2.7-dev,
               python-pil,
#               quilt,
               rapidjson-dev (>= 1.1.0~),
               swig,
               udev,
               uuid-dev,
               zip,
               zlib1g-dev

Package: kodi
Architecture: all
# Breaks: kodi (<< 2:18), kodi-bin (<< 2:18), kodi-data (<< 2:18)
Depends: kodi-bin (>= ${binary:Version}),
         kodi-data (>= ${source:Version}),
         ${misc:Depends}
Suggests: vdpau-va-driver
Replaces: xbmc (<< 2:14.1)
Conflicts: xbmc (<< 2:14.1)
Description: Open Source Home Theatre (executable binaries)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a metapackage aimed at users wanting to quickly get started
 with using Kodi Media Center.

Package: kodi-bin
Architecture: any
# Breaks: kodi (<< 2:18), kodi-bin (<< 2:18)
Depends: lsb-release,
         mesa-utils,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         policykit-1, udisks2, upower
Recommends: ${shlibs:Recommends}
Replaces: xbmc-bin (<< 2:14.1),
          xbmc-data (<= 9.04.1+svn20090911-0.2),
          xbmc-scripts-example (<= 9.04.1+svn20090924-0.0)
Suggests: ${shlibs:Suggests}
Conflicts: libgl1-mesa-swx11, xbmc-bin (<< 2:18.1)
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working Kodi.

Package: kodi-data
Architecture: all
Breaks: kodi (<< 2:18), kodi-bin (<< 2:18)
Depends: fonts-noto-hinted,
         fonts-noto-mono,
         fonts-roboto-hinted,
         kodi-bin (>= ${source:Version}),
         libjs-jquery,
         python-pil,
         ${misc:Depends},
         ${python:Depends},
         python-qt3 | python-gtk2 | python-pygame
Provides: kodi-common
Conflicts: kodi (<< 2:17.7+dfsg1-6), 
           kodi-repository-kodi (<< 2:17.7+dfsg1-6),
           kodi-skin-confluence,
           xbmc (<< 2:99.0),
           xbmc-common (<< 2:99.0),
           xbmc-data (<< 2:14.1)
Replaces: kodi (<< 2:17.7+dfsg1-6), 
          kodi-repository-kodi (<< 2:17.6+dfsg1-6),
          kodi-skin-confluence,
          xbmc (<< 2:99.0),
          xbmc-common (<< 2:99.0),
          xbmc-data (<< 2:14.1)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-standalone
Architecture: all
Depends: kodi-data (>= ${binary:Version}), ${misc:Depends}
Recommends: upower
Replaces: xbmc-bin (<= 9.04.1+svn20090926-0.3), xbmc-standalone (<< 2:14.1)
Conflicts: xbmc-standalone (<< 2:14.1)
Description: Open Source Home Theatre (standalone program)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package will install files that would permit one to launch Kodi without
 having a desktop manager.

Package: kodi-eventclients-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Replaces: xbmc-bin (<= 9.11-0.4), xbmc-eventclients-common (<< 2:14.1)
Conflicts: xbmc-eventclients-common (<< 2:14.1)
Description: Open Source Home Theatre (Event Client Common package)
 Kodi (formally known as XBMC), is an award winning free
 and open source software media-player and entertainment hub for all your
 digital media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and
 Apple TV) and Microsoft Windows, as well as the original Xbox game console.
 Created in 2003 by a group of like minded programmers, Kodi is a non-profit
 project run and developed by volunteers located around the world. More than
 50 software developers have contributed to Kodi, and 100-plus translators
 have worked to expand its reach, making it available in more than 30
 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-dev
Architecture: all
Section: libdevel
Depends: kodi-eventclients-common (>= ${binary:Version}), ${misc:Depends}
Replaces: xbmc-eventclients-dev (<< 2:14.1)
Conflicts: xbmc-eventclients-dev (<< 2:14.1)
Description: Open Source Home Theatre (Event Client Dev package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50

=== debian/rules ===
#!/usr/bin/make -f

ifeq "$(DEB_BUILD_ARCH)" "armel"
	ARCH_SPECIFIC_OPTIONS = -DENABLE_NEON:BOOL=OFF
	export DEB_CXXFLAGS_MAINT_APPEND = -latomic
	export CFLAGS := $(CFLAGS:-g=-g0)
	export CXXFLAGS := $(CXXFLAGS:-g=-g0)
endif

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	export DEB_CXXFLAGS_MAINT_APPEND+=-mfpu=neon-vfpv4
endif

%:
	dh $@ --with python2 -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DENABLE_EVENTCLIENTS=ON -DENABLE_CCACHE=OFF -DENABLE_DVDCSS=OFF \
	-DENABLE_INTERNAL_CROSSGUID=OFF -DENABLE_VDPAU=ON \
	$(ARCH_SPECIFIC_OPTIONS)

#	exit 1

override_dh_clean:
	dh_clean XBMCRemote.jar .dummy lib/cpluff/libtool xbmc/config.h \
	lib/libdvd/Makefile lib/ffmpeg/libavcodec/codec_names.h configure \
	Makefile tools/codegenerator/*.class lib/cpluff/po/Makefile.in \
	xbmc/DllPaths_generated.h xbmc/DllPaths_generated_android.h \
	kodi.bin kodi-xrandr libtool lib/gtest/libtool lib/cpluff/config.log \
	tools/EventClients/Clients/WiiRemote/WiiRemote lib/cpluff/auxliary/ltmain.sh \
	Makefile.include debian/substvars xbmc/peripherals/devices/Makefile \
	tools/depends/target/Toolchain_binaddons.cmake project/cmake/xbmc-config.cmake \
	tools/depends/target/Toolchain.cmake project/cmake/kodi-config.cmake \
	tools/EventClients/Clients/WiiRemote/WiiRemote lib/cpluff/console/cpluff-console \
	tools/TexturePacker/TexturePacker debian/substvars xbmc/peripherals/bus/Makefile \
	tools/depends/target/libdvdnav/libdvdnav-*.tar.gz lib/cpluff/loader/cpluff-loader \
	tools/depends/target/libdvdcss/libdvdcss-*.tar.gz lib/gtest/CMakeCache.txt \
	tools/depends/target/libdvdread/libdvdread-*.tar.gz  lib/gtest/Makefile \
	lib/gtest/cmake_install.cmake lib/cpluff/Makefile.in lib/cpluff/console/Makefile.in \
	lib/cpluff/libcpluff/Makefile.in lib/cpluff/libcpluff/libcpluff.la lib/cpluff/loader/Makefile.in \
	lib/cpluff/config.status debian/kodi-bin-recommends-dummy.so debian/kodi-bin-suggests-dummy.so

	find -name .deps | xargs -r rm -rf
	find -name .libs | xargs -r rm -rf
	find -name .exe | xargs -r rm -rf
	find -name .chm | xargs -r rm -rf
	find -name .dll | xargs -r rm -rf

	find -name *.o -delete
	find -name *.lo -delete

	find -name Makefile -exec grep -l "automake-1" {} \; | xargs -r rm

	[ ! -f tools/depends/native/TexturePacker/native/Makefile ] || $(MAKE) -C tools/depends/native/TexturePacker/native distclean

override_dh_install:
	rm -rf debian/tmp/usr/share/doc/kodi/kodi-eventclients-dev

	rm debian/tmp/usr/share/kodi/media/Fonts/arial.ttf
	rm debian/tmp/usr/share/kodi/system/settings/darwin*.xml
	rm debian/tmp/usr/share/kodi/system/settings/android.xml
	rm debian/tmp/usr/share/kodi/system/settings/win32.xml
	rm debian/tmp/usr/share/doc/kodi/version.txt
	rm debian/tmp/usr/share/doc/kodi/LICENSE.md
	rm debian/tmp/usr/share/doc/kodi/README.Linux.md

	find debian/tmp -name copying.txt -delete

#	find debian/tmp/usr -name '*.in' | xargs -r rm

	dh_install -XREADME.linux -XLICENSE.GPL	-Xprivacy-policy.txt

#	unshar debian/XBMCRemote.uue

override_dh_missing:
	dh_missing --list-missing -XREADME.linux -XLICENSE.GPL \
	-Xprivacy-policy.txt

# -XLICENSE.GPL -Xcopying.txt -XREADME.linux -Xreadme.txt \
#	-XLICENSE.txt -XLICENSE -XRoboto-Bold.ttf -XRoboto-Regular.ttf \
#	-Xprivacy-policy.txt

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_shlibdeps: debian/kodi-bin-recommends-dummy.so debian/kodi-bin-suggests-dummy.so
	dh_shlibdeps -lusr/lib/$(DEB_HOST_MULTIARCH)/kodi/system/players/dvdplayer

	dpkg-shlibdeps -dRecommends -edebian/kodi-bin-recommends-dummy.so -xlibc6 -O >> debian/kodi-bin.substvars
	dpkg-shlibdeps -dSuggests -edebian/kodi-bin-suggests-dummy.so -xlibc6 -O >> debian/kodi-bin.substvars

debian/kodi-bin-recommends-dummy.so:
# See obj-*/build/DllPaths_generated.h after a call to dh_auto_configure

	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	-lplist \
	$(ARCH_SPECIFIC_LIB_RECOMMENDS)

debian/kodi-bin-suggests-dummy.so:
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_auto_test:
override_dh_dwz:

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

opts="uversionmangle=s/-Leia|rc([\d\.]+)-Leia|b([\d\.]+)-Leia//" \
https://github.com/xbmc/xbmc/releases \
.*/(.*)@ARCHIVE_EXT@

## kodi 18.5%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Avoid custom build rule silencing
export V=1

# bindnow breaks wrappers used in with libdvdread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Use package's version in Kodi
VERSION := $(shell dpkg-parsechangelog -S Version)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog -S Version| sed 's/[0-9]*://;s/-[^-]*$$//')

DVDNAV_COMPONENT = libdvdnav-6-0-1
DVDNAV_URL = tools/depends/target/libdvdnav/libdvdnav-$$(grep VERSION tools/depends/target/libdvdnav/DVDNAV-VERSION | sed 's/^[^=]*=//').tar.xz
DVDREAD_COMPONENT = libdvdread-6-0-2
DVDREAD_URL = tools/depends/target/libdvdread/libdvdread-$$(grep VERSION tools/depends/target/libdvdread/DVDREAD-VERSION | sed 's/^[^=]*=//').tar.xz

export DEB_CFLAGS_MAINT_STRIP  = -O2
export DEB_CFLAGS_MAINT_APPEND  = -O3
export DEB_CXXFLAGS_MAINT_STRIP  = -O2
export DEB_CXXFLAGS_MAINT_APPEND  = -O3

# TODO enable wayland builds when waylandpp gets packaged
BUILD_WAYLAND := yes
BUILD_GBM := yes

# TODO fix
NUMCPU := $(shell grep -c processor /proc/cpuinfo)

# Various environment variables to set
export DEB_LDFLAGS_MAINT_APPEND = -latomic -lpthread
# for embedded libdvd*:
export DEB_CPPFLAGS_MAINT_APPEND = -D_XBMC

KODI_OPTS=\
-DVERBOSE=1 \
-DUSE_LTO=${NUMCPU} \
-DCMAKE_BUILD_TYPE=Release \
-DENABLE_AIRTUNES=ON \
-DENABLE_ALSA=ON \
-DENABLE_AVAHI=ON \
-DENABLE_BLURAY=ON \
-DENABLE_CEC=ON \
-DENABLE_DBUS=ON \
-DENABLE_DVDCSS=OFF \
-DENABLE_EVENTCLIENTS=ON \
-DENABLE_INTERNAL_FFMPEG=OFF \
-DENABLE_INTERNAL_CROSSGUID=OFF \
-DENABLE_MICROHTTPD=ON \
-DENABLE_MYSQLCLIENT=ON \
-DENABLE_NFS=ON \
-DENABLE_OPTICAL=ON \
-DENABLE_PULSEAUDIO=ON \
-DENABLE_SMBCLIENT=ON \
-DENABLE_UDEV=ON \
-DENABLE_UPNP=ON \
-DENABLE_VAAPI=ON \
-DENABLE_XSLT=ON \
-DLIBDVDREAD_URL=${DVDREAD_URL} \
-DLIBDVDNAV_URL=${DVDNAV_URL} \
-DENABLE_LIRCCLIENT=ON \
$(EXTRA_FLAGS)

X11_OPTS=\
-DENABLE_VDPAU=ON

WAYLAND_OPTS=\
-DCORE_PLATFORM_NAME=wayland \
-DWAYLAND_RENDER_SYSTEM=gl


GBM_OPTS=\
-DCORE_PLATFORM_NAME=gbm \
-DGBM_RENDER_SYSTEM=gl

%:
	dh $@ --buildsystem cmake --with python2

override_dh_clean:
	dh_clean \
		addons/skin.estuary/media/from-debian-logo.png \
		addons/webinterface.default/ \
		debian/dh-addon/*.1 \
		kodi_build_*/ \
		lib/gtest/ \
		media/Fonts/arial.ttf

override_dh_auto_clean:
	dh_auto_clean


# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

media/Fonts/arial.ttf: debian/mergefonts.ff
	# work around #948876 until fontforge is fixed by using cached result
	! fontforge -script $< \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$@ && cp debian/extra/arial.ttf $@

lib/gtest/lib/.libs/libgtest.a:
	cp -r /usr/src/gtest/ $(CURDIR)/lib/ && mkdir -p $(CURDIR)/lib/gtest/lib/.libs

addons/skin.estuary/media/from-debian-logo.png: debian/from-debian-logo.svg
	rsvg-convert -w 250 -h 82 -o $@ $<

override_dh_auto_configure: addons/skin.estuary/media/from-debian-logo.png lib/gtest/lib/.libs/libgtest.a media/Fonts/arial.ttf
	cp -r $(CURDIR)/webinterface-default $(CURDIR)/addons/webinterface.default
	sed -i 's/DEB_VERSION/"'$(VERSION)'"/' xbmc/Application.cpp xbmc/utils/SystemInfo.cpp
	tar -cf $(DVDNAV_URL) $(DVDNAV_COMPONENT)
	tar -cf $(DVDREAD_URL) $(DVDREAD_COMPONENT)
	dh_auto_configure --builddir kodi_build_x11 -- ${KODI_OPTS} ${X11_OPTS}
ifeq ($(BUILD_WAYLAND),yes)
	dh_auto_configure --builddir kodi_build_wayland -- ${KODI_OPTS} ${WAYLAND_OPTS}
endif
ifeq ($(BUILD_GBM),yes)
	dh_auto_configure --builddir kodi_build_gbm -- ${KODI_OPTS} ${GBM_OPTS}
endif

override_dh_auto_build:
	dh_auto_build --builddir kodi_build_x11
ifeq ($(BUILD_WAYLAND),yes)
	dh_auto_build --builddir kodi_build_wayland
endif
ifeq ($(BUILD_GBM),yes)
	dh_auto_build --builddir kodi_build_gbm
endif
	for file in $$(ls debian/dh-addon/dh_*); do \
		pod2man --section=1 --utf8 $$file $$file.1; \
	done

override_dh_auto_test-arch:
	-dh_auto_test -a --builddir kodi_build_x11
ifeq ($(BUILD_WAYLAND),yes)
	-dh_auto_test -a --builddir kodi_build_wayland
endif
ifeq ($(BUILD_GBM),yes)
	-dh_auto_test -a --builddir kodi_build_gbm
endif

# No tests for indep build.
override_dh_auto_test-indep:

override_dh_auto_install:
ifeq ($(BUILD_WAYLAND),yes)
	dh_auto_install --builddir kodi_build_wayland --destdir debian/tmp
endif
ifeq ($(BUILD_GBM),yes)
	dh_auto_install --builddir kodi_build_gbm --destdir debian/tmp
endif
	dh_auto_install --builddir kodi_build_x11 --destdir debian/tmp

override_dh_install-indep:
	dh_install -i -XLICENCE -XLICENSE \
		-XLicence.txt -XLicense.txt -XLICENSE.txt \
		-XNOTICE.txt \
		-Xjquery-1.8.2.min.js -Xiscroll-min.js
	rm -rf debian/kodi-data/usr/share/kodi/addons/repository.xbmc.org
	dh_install -pkodi-repository-kodi \
		addons/repository.xbmc.org/* usr/share/kodi/addons/repository.xbmc.org

override_dh_install-arch:
ifeq ($(BUILD_WAYLAND)-$(BUILD_GBM),yes-yes)
	dh_install -a -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt -XLICENSE.txt -XNOTICE.txt
else ifeq ($(BUILD_WAYLAND),yes)
	dh_install -a -Nkodi-gbm -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt -XLICENSE.txt -XNOTICE.txt
else ifeq ($(BUILD_GBM),yes)
	dh_install -a -Nkodi-wayland -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt -XLICENSE.txt -XNOTICE.txt
else
	dh_install -a -Nkodi-wayland -Nkodi-gbm -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt -XLICENSE.txt -XNOTICE.txt
endif
	# ship xbmcclient.h only in kodi-eventclients-dev
	rm -f debian/kodi-addons-dev/usr/include/kodi/xbmcclient.h
	# check if all needed headers are included
	$(CXX) -c debian/headers-check.c -DBUILD_KODI_ADDON \
	$(shell dpkg-buildflags --get CPPFLAGS) \
	$(shell dpkg-buildflags --get CXXFLAGS) \
	-Idebian/kodi-addons-dev/usr/include \
	-o /dev/null

override_dh_shlibdeps: debian/tmp/kodi-bin-recommends-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/kodi-bin/usr/lib/*/kodi/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -dRecommends -edebian/tmp/kodi-bin-recommends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars

debian/tmp/kodi-bin-recommends-dummy.so:
	mkdir -p debian/tmp
	# TODO add shairplay when libshairplay gets packaged
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lplist \
		$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_builddeb:
ifeq ($(BUILD_WAYLAND)-$(BUILD_GBM),yes-yes)
	dh_builddeb
else ifeq ($(BUILD_WAYLAND),yes)
	dh_builddeb -Nkodi-gbm
	sed -Ei '/kodi-gbm_/d' debian/files
else ifeq ($(BUILD_GBM),yes)
	dh_builddeb -Nkodi-wayland
	sed -Ei '/kodi-wayland_/d' debian/files
else
	dh_builddeb -Nkodi-wayland -Nkodi-gbm
	sed -Ei '/kodi-(wayland|gbm)_/d' debian/files
endif

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_gencontrol-arch:
	debian/dh-addon/dh_kodiaddon_depends
	dh_gencontrol -a

override_dh_gencontrol-indep:
	dh_gencontrol -i

# extract customized additional tarballs
extract-components:
	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-$(DVDNAV_COMPONENT).tar.xz && \
		test -d $(CURDIR)/$(DVDNAV_COMPONENT) || mv libdvdnav-* $(CURDIR)/$(DVDNAV_COMPONENT)
	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-$(DVDREAD_COMPONENT).tar.xz && \
		test -d $(CURDIR)/$(DVDREAD_COMPONENT) || mv libdvdread-* $(CURDIR)/$(DVDREAD_COMPONENT)
	tar -xf $(CURDIR)/../kodi_"$(UPSTREAM_VERSION)".orig-webinterface-default.tar.xz
